jQuery(document).ready(function($) {
    
	/*@licstart  The following is the entire license notice for the 
        JavaScript code in this page.

        Copyright (C) 2014  ITstar

        The JavaScript code in this page is free software: you can
        redistribute it and/or modify it under the terms of the GNU
        General Public License (GNU GPL) as published by the Free Software
        Foundation, either version 3 of the License, or (at your option)
        any later version.  The code is distributed WITHOUT ANY WARRANTY;
        without even the implied warranty of MERCHANTABILITY or FITNESS
        FOR A PARTICULAR PURPOSE.  See the GNU GPL for more details.

        As additional permission under GNU GPL version 3 section 7, you
        may distribute non-source (e.g., minimized or compacted) forms of
        that code without the copy of the GNU GPL normally required by
        section 4, provided you include this license notice and a URL
        through which recipients can access the Corresponding Source.   


        @licend  The above is the entire license notice
        for the JavaScript code in this page. */
	
	/*---Navigation---------------------------------------------------------*/
	 // By Jonathan Schnittger
	 //http://schnittger.me/
	 $('div.secondary aside.navigation-widget div.widget-content').html('<div class="navigation-content"><ul></ul></div>');
	 $.fn.navigation = function( options ) {
        var settings = $.extend({
            duration: "500",
         }, options );
 
        return this.each(function() {
            var article = $(this);
            var list = $('.main div.secondary').find('aside.navigation-widget div.navigation-content:first > ul:first');
            
            article.find('h1, h2, h3, h4').each(function(){
                var heading = $(this);
                var tag = heading[0].tagName.toLowerCase();
                var title = heading.text();
                var id = heading.attr('id');
                
                if(typeof id === "undefined") {
                    id = Math.random().toString(36).substring(7);
                    heading.attr('id', id);
                }
                list.append('<li class="' + tag + '"><i class="icon-star"></i><a href="#' + id + '" title="' + title + '">' + title + '</a></li>');
            });
           
        });
 
    };
	
		 if ('aside.navigation-widget') {
				if ( $('body').hasClass('page') || $('body').hasClass('single')){
					$('div.primary').navigation();
				}
				else{
					$('div.temp-primary').navigation();
				};
			};
		 
		 var list = $('.main div.secondary').find('aside.navigation-widget div.navigation-content:first > ul:first');
            list.on('click', function(event){
                var target = $(event.target);
                if(target.is('a')){
                    event.preventDefault();
                    $('html,body').animate({
                        scrollTop: $(target.attr('href')).offset().top - 80
                    }, 500);
                    return false;
                }
            });
				
	/*---------------------------------------------------------------------------------*/
	//Position Articles
	var temp_container = $('.main .content .temp-primary');
	var container = $('.main .content .primary');
	var container_width = (container.outerWidth()/$('.content').outerWidth())*100;
	var col = [];
	var col_h = [];
	var col_art_no = [];
	var checker = '';
	var last = '';
	var col_no = $('span.primary-column').attr('id');
	var col_width = (100/col_no)-2;
	var col_width_pixel = (col_width*(container.outerWidth()))/100;
	
	while (col_width_pixel <= 200){
		col_no = col_no - 1;
		container = $('.main .content .primary');
		col_width_pixel = (((100/col_no)-2)*(container.outerWidth()))/100;
		col_width = (100/col_no)-2;
	}
	
	if ($('body').hasClass('page') || $('body').hasClass('single')){
		}
	else {
		if (col_no == 1){
		container.find('.content-place').prepend('<div class="index-column-0"></div>');
		col[0] = container.find("div.index-column-0");
		col[0].css('width','98%');
		}
		else {
			for ( var i = 0  , limit = col_no ; i < limit; i++){
				container.find('.content-place').append('<div class="index-column-'+i+'"></div>');
				col[i] = container.find("div.index-column-"+i);
				col[i].css('width',col_width+'%');
				console.log(col[i]);
			}		
		}
	}
	
	var positionArticles = function (options) {
		if ( $('body').hasClass('single') || $('body').hasClass('page')){
			}
		else {
			var temp_container = $(options);				
			var temp_articles = temp_container.find( 'article' );
						
			for ( var j = 0, limit = col_no - 1 ; j <= limit; j++){
					col_art_no[j] = 0;
			}
				
			var articles_array = $.makeArray(temp_articles);
			$.map(articles_array,function( n, i ) { 
				
				var this_article = $(n);
				this_article.remove();
				var col_h = [];
				
				if (col_no == 1){
					this_article.appendTo(col[0]);
				}
				else {
				
					for ( var j = 0, limit = col_no - 1 ; j <= limit; j++){
						col_h[j] = col[j].outerHeight();
					}
					console.log("col_h:"+col_h);
					var temp_cols = col_h.slice(0,col_no);
					console.log("temp_cols:"+temp_cols);
					var min_col = jQuery.inArray((Math.min.apply(Math,temp_cols)),col_h);
					console.log("min_col:"+min_col);
					this_article.appendTo(col[min_col]);
					col_art_no[min_col]++;
					console.log("col_art_no:"+col_art_no);
				}
			});
			
		}
		
		var articleSpacer = function() {
			if (col_no == 1 || $('body').hasClass('page') || $('body').hasClass('single')) {
			}
			else {
				for ( var j = 0, limit = col_no - 1 ; j <= limit; j++){
					col_h[j] = col[j].outerHeight();
				}
				var temp_cols = col_h.slice(0,col_no);
				var max_col = jQuery.inArray((Math.max.apply(Math,temp_cols)),col_h);
				var max_col_h = col_h[max_col];
				for ( var j = 0, limit = col_no - 1 ; j <= limit; j++){
					col[j].find('.spacer').css("height",((max_col_h - col_h[j])/col_art_no[j]));
				}
			}
		};
		$('article').find('#mouseover-info').hide();
		$('article').on('mouseenter',function(){
			$(this).find('#mouseover-info').delay(100).slideUp( "slow");
		});
		$('article').on('.mouseleave',function(){
			$(this).find('#mouseover-info').delay(500).slideDown( "slow");
		});
		
		if ($('.spacer-ok').attr('id') == 'yes'){
			articleSpacer();
		}
	};					
		
		positionArticles('.main .content .temp-primary');
		
				
		/*---------------------------------------------------------------------------------*/
		//Advance search slide
		$('a.advancesearch,a.advancesearch-cancel').on('click', function(event){
			event.preventDefault();
			$('div.advance-search-slide').slideToggle( "slow");
		});
		
		/*---------------------------------------------------------------------------------*/
		//pagination
		if ( $('nav.pagination').children().is('span')){
			}
		else {
			$('nav.pagination').hide();
		}
		
		/*---------------------------------------------------------------------------------*/
		//Menu Toggler
		$('a.menu-toggler').on("click",function(e){
			$('.header-menu').toggleClass('display');	
		});			
		
		/*---------------------------------------------------------------------------------*/		
		// Select first word of every paragraph in post format chat
		$('.format-chat .post-content p').each(function(){
		var text_splited = $(this).text().split(" ");
		$(this).html("<strong>"+text_splited.shift()+"</strong> "+text_splited.join(" "));
		});
		
		/*---------------------------------------------------------------------------------*/
		//iframe Window Center
		$.fn.windowCenter = function (event) {
			var mrtop = (($(window).height() - $(this).height()-35)/2);
			var mrleft = (($(window).width() - $(this).width()-35)/2);
			$(this).css('margin-top',mrtop);
			$(this).css('margin-left',mrleft);
			
			};
		
		/*---------------------------------------------------------------------------------*/
		//Center thumbnail
		$.fn.thumbnailCenter = function () {
			$(this).find('img.attachment-post-thumbnail').each(function(){
				var imgwidth = $(this).width();
				var postheaderwidth = $('.post-header').width();
				var thumbmrleft = ((postheaderwidth - imgwidth)/2);
				$(this).css('margin-left',thumbmrleft);
			});
		};
		
		$('.primary').thumbnailCenter();
		
		
				/*---------------------------------------------------------------------------------*/
		//External Links
		if ($('.external-ok').attr('id') == 'yes') {
			
			$("a[href*='http://']:not([href*='"+location.hostname+"']),[href*='https://']:not([href*='"+location.hostname+"'])").each(function(){
				$(this).addClass("external");
			});
		}
		
			$('a.external').click(function(event){
				event.preventDefault();
				var address= $(this).attr('href');
				$('body').prepend('<div class="body-overlay"></div>');
				$('body').append('<div class="iframe-temp-area"><iframe class="iframe-temp"  src="'+ address +'"/></div>');
				$('.iframe-temp-area').windowCenter();
						
				$(".body-overlay").on("click",function(){
					$(".body-overlay").remove();
					$(".iframe-temp-area").remove();
				
				});
			});
		
	/*---------------------------------------------------------------------------------*/	
	
	//Window rezise
	var check_col = 0;
	$(window).resize(function(event){
		if ($(window).width() > 458){
			$('.header-menu').removeClass('display');
		}
		$('.iframe-temp-area').windowCenter();
		$('.primary').thumbnailCenter();
			
	});
	
	/*---------------------------------------------------------------------------------*/	
	//Tooltip
	$(document).tooltip({
		track: true,
	items: "img, [data-geo], [title], a",
      content: function() {
        var element = $( this );
        if ( element.is( "[data-geo]" ) ) {
          var text = element.text();
          return "<img class='map' alt='" + text +
            "' src='http://maps.google.com/maps/api/staticmap?" +
            "zoom=11&size=350x350&maptype=terrain&sensor=false&center=" +
            text + "'>";
        }
        if ( element.is( "[title]" ) ) {
          return element.attr( "title" );
        }
        if ( element.is( "img" ) ) {
          return element.attr( "alt" );
        }
		if ( element.is( "a" ) ) {
          return element.attr( "title" );
        }
      }		
		});
		
		 $(".post-content").fitVids();
		 
	if($('span.lazy-ok').attr('id') == 'yes'){
		$('.post-content, .post-excerpt, .post-header').find('li').each(function(){
			$(this).attr('data-scrollreveal','enter from the bottom over 0.9s but wait 0.6s');
		});	
		$('.post-content, .post-excerpt, .comment-respond').find('p').each(function(){
			$(this).wrap('<div class="p-wrapper" data-scrollreveal="over 0.8s move 60px but wait 0.3s and enter from the bottom"></div>');
		});
	
	
	
	if ($('body').hasClass('rtl')){
		$('.comments-area').find('article').each(function(){		
			$(this).attr('data-scrollreveal','enter left and move 60px over 1.2s');
		});
		$('.post-content, .post-excerpt, .post-header, .comment-respond').find('h1,h2,h3,h4,h5,quote,bquote').each(function(){		
			$(this).attr('data-scrollreveal','enter left and move 60px over 1.2s');
		});
		$('.post-content,.post-excerpt').find('img').each(function(){
			$(this).attr('data-scrollreveal','over 1.2s move 80px but wait 0.4s and enter from the right');
		});
	} else {
		$('.comments-area').find('article').each(function(){		
			$(this).attr('data-scrollreveal','enter right and move 60px over 1.2s');
		});
		$('.post-content, .post-excerpt, .post-header, .comment-respond').find('h1,h2,h3,h4,h5,quote,bquote').each(function(){		
			$(this).attr('data-scrollreveal','enter right and move 60px over 1.2s');
		});
		$('.post-content,.post-excerpt').find('img').each(function(){
			$(this).attr('data-scrollreveal','over 1.2s move 80px but wait 0.4s and enter from the left');
		});
	
	}
};
		 
    });
	
	