<?php
/* The Template for displaying link post format.
 *
 * 
 * @subpackage wordplus
 * @since wordplus 0.1.0
 */
?>

<article id="post-<?php the_ID(); ?> " <?php post_class(); ?>>
	<header class="post-header">
		<h3 class="entry-title p-name"><i class="icon-link"></i><a id="link-title" href="<?php echo esc_url( wordplus_get_link_url() ); ?>"><?php the_title(); ?></a></h3>
	</header>

	<div class="post-content">
		<?php if ( !is_single() ) : 
					if (esc_attr(get_theme_mod('wordplus_auto_excerpt'))=='yes'){
						the_excerpt();
					}
					else {
						the_content('<a class="more-link" href="'. get_permalink($post->ID) . '">'.__('... Read More','wordplus').'</a>' ); 
					}
			else : ?>
		<?php the_content(); ?>
			<?php wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'wordplus' ) . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>
		<?php endif; ?>
		</div>
		<div class="spacer"></div>
	
	
				<?php get_template_part('lib/post','meta'); ?>
			
</article>

