<?php
/* The Template for displaying video post format.
 *
 * 
 * @subpackage wordplus
 * @since wordplus 0.1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		
		<header class="post-header">
			
			<?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
				<div class="featured-post">
					<?php _e( '<i class="icon-star">Featured</i>', 'wordplus' ); ?>
				</div><!--.featured-post-->
			<?php endif; ?>
		
			<?php if ( is_single() ) : ?>
				<h1 class="entry-title p-name"><?php the_title(); ?></h1>
			<?php else : ?>
				<h3 class="entry-title p-name"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h3>
			<?php endif;  ?>
				
			
		
		</header><!--.post-header-->
		
		<div class="post-content">
			<?php if ( !is_single() ) : 
						the_content(''); 
				else : ?>
				<?php the_content(); ?>
				<?php wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'wordplus' ) . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>
		<?php endif; ?>
		</div><!--.post-content-->
		<div class="spacer"></div>		
				<?php get_template_part('lib/post','meta'); ?>
			
</article><!--.article-->
